ros-rolling-generate-parameter-library-py (0.8.0-1noble) noble; urgency=high

  * Fix nested mappings double dot bug (#329 <https://github.com/PickNikRobotics/generate_parameter_library/issues/329>)
    Co-authored-by: Nathan <mailto:50861188+natrad100@users.noreply.github.com>
  * Fix nested mapped parameters map (#306 <https://github.com/PickNikRobotics/generate_parameter_library/issues/306>)
  * Remove unused variables in pytest (#317 <https://github.com/PickNikRobotics/generate_parameter_library/issues/317>)
  * Contributors: Christoph Fröhlich, Nick Laurenson

 -- bmagyar <bence.magyar.robotics@gmail.com>  Sun, 22 Mar 2026 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.7.0-1noble) noble; urgency=high

  * Deprecate parameter_traits package and header file (#297 <https://github.com/PickNikRobotics/generate_parameter_library/issues/297>)
  * Move linters to pre-commit (#298 <https://github.com/PickNikRobotics/generate_parameter_library/issues/298>)
  * Contributors: Christoph Fröhlich

 -- bmagyar <bence.magyar.robotics@gmail.com>  Sun, 22 Feb 2026 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.6.0-1noble) noble; urgency=high

  * Use templated NodeT in c++ constructor  (#274 <https://github.com/PickNikRobotics/generate_parameter_library/issues/274>)
  * Update pre-commit hooks (#288 <https://github.com/PickNikRobotics/generate_parameter_library/issues/288>)
  * Improve logging message when a parameter is not set (#279 <https://github.com/PickNikRobotics/generate_parameter_library/issues/279>)
  * Account for nested map params (#277 <https://github.com/PickNikRobotics/generate_parameter_library/issues/277>) (#280 <https://github.com/PickNikRobotics/generate_parameter_library/issues/280>)
  * Update maintainers for GBP release team (#282 <https://github.com/PickNikRobotics/generate_parameter_library/issues/282>)
  * fix setuptools deprecations (#268 <https://github.com/PickNikRobotics/generate_parameter_library/issues/268>)
  * Contributors: Ander González Tomé, Christoph Fröhlich, Gaël Écorchard, Nathan Brooks, Russ, mosfet80

 -- bmagyar <bence.magyar.robotics@gmail.com>  Sat, 06 Dec 2025 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.5.0-1noble) noble; urgency=high

  * Add try_update_params method (#260 <https://github.com/PickNikRobotics/generate_parameter_library/issues/260>)
  * Fix ros2_controllers issue`#1740 <https://github.com/PickNikRobotics/generate_parameter_library/issues/1740>`_ -Wreorder fix (#264 <https://github.com/PickNikRobotics/generate_parameter_library/issues/264>)
  * No need to default-construct logger in the declaration (#252 <https://github.com/PickNikRobotics/generate_parameter_library/issues/252>)
  * Add user callback python (#254 <https://github.com/PickNikRobotics/generate_parameter_library/issues/254>)
  * Add user callback (#250 <https://github.com/PickNikRobotics/generate_parameter_library/issues/250>)
  * Fix merge install for python packages (#241 <https://github.com/PickNikRobotics/generate_parameter_library/issues/241>)
  * Contributors: Darren Tsai, Dimitri Decious, Nathan Brooks, Sai Kishor Kothakota, Tim Clephas, Yannick de Hoop

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 12 Jun 2025 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.4.0-1noble) noble; urgency=high

  * Unit test friendly folder structure for Python examples (#237 <https://github.com/PickNikRobotics/generate_parameter_library/issues/237>)
  * Fix conversion typos (#238 <https://github.com/PickNikRobotics/generate_parameter_library/issues/238>)
  * Apply clang-tidy suggestions to std::move certain variables (#228 <https://github.com/PickNikRobotics/generate_parameter_library/issues/228>)
  * Contributors: Sebastian Castro

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 13 Jan 2025 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.9-1noble) noble; urgency=high

  * fix error with not being able to find unpack_parameter_dict when using set_params_from_dict (#220 <https://github.com/PickNikRobotics/generate_parameter_library/issues/220>)
  * Add "additional_constraints" support (#221 <https://github.com/PickNikRobotics/generate_parameter_library/issues/221>)
  * Use int64_t instead of int for parameter integer range, fixes #199 <https://github.com/PickNikRobotics/generate_parameter_library/issues/199> (#214 <https://github.com/PickNikRobotics/generate_parameter_library/issues/214>)
  * Fix floating point range for upper/lt/lt_eq validations (#216 <https://github.com/PickNikRobotics/generate_parameter_library/issues/216>)
  * Fix nested parameter in Python template (#210 <https://github.com/PickNikRobotics/generate_parameter_library/issues/210>)
  * Fix test on rolling CI (#187 <https://github.com/PickNikRobotics/generate_parameter_library/issues/187>)
  * Add ability for param_listener to load values from yaml dictionary (#211 <https://github.com/PickNikRobotics/generate_parameter_library/issues/211>)
  * Use exist_ok=True in makedirs instead of checking for existence first, in case of multiple concurrent processes (#212 <https://github.com/PickNikRobotics/generate_parameter_library/issues/212>)
  * Add Non-Blocking try_get_params Function for Real-Time Control Systems (#205 <https://github.com/PickNikRobotics/generate_parameter_library/issues/205>)
  * Drop yaml brackets for consistency and readability (#203 <https://github.com/PickNikRobotics/generate_parameter_library/issues/203>)
  * Contributors: Karan Khanna, Auguste Bourgois, David Revay, Emerson Knapp, Jacob Seibert, KentaKato, Marq Rasmussen, Paul Gesel, Tim Clephas

 -- Paul Gesel <paul.gesel@picknik.ai>  Sun, 27 Oct 2024 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.8-1noble) noble; urgency=high

  * Restore functionality for mapped params with no struct name (#185 <https://github.com/PickNikRobotics/generate_parameter_library/issues/185>_)
  * add # flake8: noqa to template (#177 <https://github.com/PickNikRobotics/generate_parameter_library/issues/177>)
  * Fix newline issue (#176 <https://github.com/PickNikRobotics/generate_parameter_library/issues/176>)
    * fix new line rendering for Python
  * Support nested mapped parameters (#166 <https://github.com/PickNikRobotics/generate_parameter_library/issues/166>)
  * Contributors: Paul Gesel, Sebastian Castro

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 27 Mar 2024 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.7-1noble) noble; urgency=high

  * fix Python runtime parameters bug (#165 <https://github.com/PickNikRobotics/generate_parameter_library/issues/165>)
  * markdown/rst: Support __map_ and nested parameters (#164 <https://github.com/PickNikRobotics/generate_parameter_library/issues/164>)
    * Support nested parameters and maps for RST
    * Add read_only info to RST template
    * Use map parameters for AutoDocumentation
    * Add test for markdown generation
    * Use jinja indentation instead of regex
    * Add dynamic_parameters also to DefaultConfig
    * Proper fromat of default yaml config
    * Proper format of the default yaml file
    * Fix imported function names
    * Add a jinja2 filter to create valid multiline c++ string literals
    * Handle empty strings for descriptions
  * parse_yaml.py: keep the trailing newline (#159 <https://github.com/PickNikRobotics/generate_parameter_library/issues/159>)
  * Fix rolling CI (#162 <https://github.com/PickNikRobotics/generate_parameter_library/issues/162>)
  * parse_yaml.py: fix issue with typeguard (#154 <https://github.com/PickNikRobotics/generate_parameter_library/issues/154>)
  * Bugfixes on Python code generation (#152 <https://github.com/PickNikRobotics/generate_parameter_library/issues/152>)
    * Fix raising of validation error
    * Fix inverse logic of 'unique' validator
  * Fix sentence for size_lt (#150 <https://github.com/PickNikRobotics/generate_parameter_library/issues/150>)
  * Fix typeguard error (#149 <https://github.com/PickNikRobotics/generate_parameter_library/issues/149>)
    For typeguard==3.0.2, default_value: any raised a TypeError: isinstance() arg 2 must be a type, a tuple of types, or a union during colcon build of a Python node using this library.
    Using the Any from the typing module fixed this issue.
    Yes, this problem does not occur with the typeguard version provided by apt (2.2.2), but could also occur if Ubuntu bumps that version or for other users with a newer local pip install of typeguard.
  * Remove my_parameter from python template (#146 <https://github.com/PickNikRobotics/generate_parameter_library/issues/146>)
  * Contributors: Bruno-Pier, Christoph Fröhlich, Jan Gutsche, Matthias Schoepfer, Paul Gesel, agonzat
  * fix Python runtime parameters bug (#165 <https://github.com/PickNikRobotics/generate_parameter_library/issues/165>)
  * markdown/rst: Support __map_ and nested parameters (#164 <https://github.com/PickNikRobotics/generate_parameter_library/issues/164>)
    * Support nested parameters and maps for RST
    * Add read_only info to RST template
    * Use map parameters for AutoDocumentation
    * Add test for markdown generation
    * Use jinja indentation instead of regex
    * Add dynamic_parameters also to DefaultConfig
    * Proper fromat of default yaml config
    * Proper format of the default yaml file
    * Fix imported function names
    * Add a jinja2 filter to create valid multiline c++ string literals
    * Handle empty strings for descriptions
  * parse_yaml.py: keep the trailing newline (#159 <https://github.com/PickNikRobotics/generate_parameter_library/issues/159>)
  * Fix rolling CI (#162 <https://github.com/PickNikRobotics/generate_parameter_library/issues/162>)
  * parse_yaml.py: fix issue with typeguard (#154 <https://github.com/PickNikRobotics/generate_parameter_library/issues/154>)
  * Bugfixes on Python code generation (#152 <https://github.com/PickNikRobotics/generate_parameter_library/issues/152>)
    * Fix raising of validation error
    * Fix inverse logic of 'unique' validator
  * Fix sentence for size_lt (#150 <https://github.com/PickNikRobotics/generate_parameter_library/issues/150>)
  * Fix typeguard error (#149 <https://github.com/PickNikRobotics/generate_parameter_library/issues/149>)
    For typeguard==3.0.2, default_value: any raised a TypeError: isinstance() arg 2 must be a type, a tuple of types, or a union during colcon build of a Python node using this library.
    Using the Any from the typing module fixed this issue.
    Yes, this problem does not occur with the typeguard version provided by apt (2.2.2), but could also occur if Ubuntu bumps that version or for other users with a newer local pip install of typeguard.
  * Remove my_parameter from python template (#146 <https://github.com/PickNikRobotics/generate_parameter_library/issues/146>)
  * Contributors: Bruno-Pier, Christoph Fröhlich, Jan Gutsche, Matthias Schoepfer, Paul Gesel, agonzat

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 12 Jan 2024 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.6-1noble) noble; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 31 Jul 2023 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.5-1noble) noble; urgency=high

  * Remove documentation of deprecated validator functions (#135 <https://github.com/PickNikRobotics/generate_parameter_library/issues/135>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.4-1noble) noble; urgency=high

  * Use node logger (#132 <https://github.com/PickNikRobotics/generate_parameter_library/issues/132>)
  * Fixed incorrect usage of fmt, causing compile errors (#127 <https://github.com/PickNikRobotics/generate_parameter_library/issues/127>)
  * Add pyyaml as dependency (#123 <https://github.com/PickNikRobotics/generate_parameter_library/issues/123>)
  * Fix Python install (#122 <https://github.com/PickNikRobotics/generate_parameter_library/issues/122>)
  * Use correct syntax highlighting (#121 <https://github.com/PickNikRobotics/generate_parameter_library/issues/121>)
  * ReST template (#119 <https://github.com/PickNikRobotics/generate_parameter_library/issues/119>)
  * Fix empty arguments case and add custom validator prompt (#117 <https://github.com/PickNikRobotics/generate_parameter_library/issues/117>)
  * Update markdown template (#116 <https://github.com/PickNikRobotics/generate_parameter_library/issues/116>)
  * Fix output in current folder (#115 <https://github.com/PickNikRobotics/generate_parameter_library/issues/115>)
  * Generate Markdown Docs for Parameters  (#111 <https://github.com/PickNikRobotics/generate_parameter_library/issues/111>)
  * Add Python support for generate_parameter_library (#110 <https://github.com/PickNikRobotics/generate_parameter_library/issues/110>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Update .pre-commit-config.yaml (#108 <https://github.com/PickNikRobotics/generate_parameter_library/issues/108>)
  * Log when a parameter is set (#106 <https://github.com/PickNikRobotics/generate_parameter_library/issues/106>)
  * Contributors: Christoph Fröhlich, Paul Gesel, Tyler Weaver, mosfet80, sprenger120

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 24 Jul 2023 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.3-1noble) noble; urgency=high

  * Fix Parameter Descriptor Incorrectly Populating Range Constraints for size_lt and size_gt (#105 <https://github.com/PickNikRobotics/generate_parameter_library/issues/105>)
  * Contributors: Chance Cardona

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.2-1noble) noble; urgency=high

  * Populate Range Constraints in Parameter Descriptors from Validation Functions (#103 <https://github.com/PickNikRobotics/generate_parameter_library/issues/103>)
  * Mark deprecated rsl method and propose alternative in the docs. (#102 <https://github.com/PickNikRobotics/generate_parameter_library/issues/102>)
  * Allow none type (#99 <https://github.com/PickNikRobotics/generate_parameter_library/issues/99>)
  * Fixed tests never failing although file not found (#101 <https://github.com/PickNikRobotics/generate_parameter_library/issues/101>)
  * Contributors: Chance Cardona, Dr. Denis, GuiHome

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.1-1noble) noble; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 01 Feb 2023 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.3.0-1noble) noble; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Add missing dependency on PyYAML (#89 <https://github.com/PickNikRobotics/generate_parameter_library/issues/89>)
  * Contributors: Scott K Logan, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.2.8-1noble) noble; urgency=high

  * Use typing syntax which is compatible with Python 3.6 (#87 <https://github.com/PickNikRobotics/generate_parameter_library/issues/87>)
  * Use YAML loader which is compatible with PyYAML 3.12 (#88 <https://github.com/PickNikRobotics/generate_parameter_library/issues/88>)
  * Contributors: Scott K Logan

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 03 Nov 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.2.7-1noble) noble; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Oct 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.2.6-1noble) noble; urgency=high

  * Depend on python dependencies in package.xml (#74 <https://github.com/PickNikRobotics/generate_parameter_library/issues/74>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 28 Sep 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.2.5-1noble) noble; urgency=high

  * 🈵 Support use of '_' in mapped parameters. (#68 <https://github.com/PickNikRobotics/generate_parameter_library/issues/68>)
  * Test validators and fix bugs (#66 <https://github.com/PickNikRobotics/generate_parameter_library/issues/66>)
  * Fix deadlock in update_dynamic_parameters (#64 <https://github.com/PickNikRobotics/generate_parameter_library/issues/64>)
  * Parameter prefix (#55 <https://github.com/PickNikRobotics/generate_parameter_library/issues/55>)
  * Fix example parameters (#54 <https://github.com/PickNikRobotics/generate_parameter_library/issues/54>)
  * Contributors: Denis Štogl, Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 20 Sep 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.2.4-1noble) noble; urgency=high

  * INTEGER type (#53 <https://github.com/PickNikRobotics/generate_parameter_library/issues/53>)
  * 0.2.3
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 19 Aug 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.2.3-1noble) noble; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 05 Aug 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.2.2-1noble) noble; urgency=high

  * Add better error messages (#48 <https://github.com/PickNikRobotics/generate_parameter_library/issues/48>)
  * Lock mutex around modifying internal state of ParamListener (#47 <https://github.com/PickNikRobotics/generate_parameter_library/issues/47>)
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 03 Aug 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.2.1-1noble) noble; urgency=high

  * Fix scientific notation (#46 <https://github.com/PickNikRobotics/generate_parameter_library/issues/46>)
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 02 Aug 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.2.0-1noble) noble; urgency=high

  * Create stack allocated struct (#45 <https://github.com/PickNikRobotics/generate_parameter_library/issues/45>)
  * Fixed length arrays (#44 <https://github.com/PickNikRobotics/generate_parameter_library/issues/44>)
  * Fixed size string no default bug (#43 <https://github.com/PickNikRobotics/generate_parameter_library/issues/43>)
  * Move fixed size string to parameter traits (#42 <https://github.com/PickNikRobotics/generate_parameter_library/issues/42>)
  * static OK to fix ODR errors (#41 <https://github.com/PickNikRobotics/generate_parameter_library/issues/41>)
  * Change package name (#40 <https://github.com/PickNikRobotics/generate_parameter_library/issues/40>)
  * parameter validators interface library (#32 <https://github.com/PickNikRobotics/generate_parameter_library/issues/32>)
  * Validate fixed length Strings (#33 <https://github.com/PickNikRobotics/generate_parameter_library/issues/33>)
  * Fixed size strings (#29 <https://github.com/PickNikRobotics/generate_parameter_library/issues/29>)
  * Use single namespace validators (#26 <https://github.com/PickNikRobotics/generate_parameter_library/issues/26>)
  * Validate strings and arrays for size (#24 <https://github.com/PickNikRobotics/generate_parameter_library/issues/24>)
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 01 Aug 2022 00:00:00 -0000

ros-rolling-generate-parameter-library-py (0.1.0-1noble) noble; urgency=high

  * Python to generate C++ ROS parameter library.
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 27 Jul 2022 00:00:00 -0000


